<script type="text/javascript">
  function confirmation() {
    if(confirm("Realmente desea eliminar el Procedimiento?"))
    {
        return true;
    }
    return false;
  }
  
  function confirmation1() {
    if(confirm("SE DARA POR TERMINADO EL INGRESO DE DATOS \nESTA SEGURO DE CONTINUAR?"))
    {
        return true;
    }
    return false;
  }
 </script>
 
<?php
 include("header.php");
 include("conexionOdo.php");
 
  $s_numConsulta = $_GET['consulta'];
  $s_tipoHis     = $_GET['tipoHis'];
 
  //recibe tipo numero de identificacion
  session_start();
  $s_identifica = $_SESSION['cedula'];
  $s_tipoId     = $_SESSION['tipoId'];
  
  $s_nitEmpresa = $_SESSION['nitEmpresa'];
  $s_codSede    = $_SESSION['codSede'];
  $s_idUsuario  = $_SESSION['idUsuario'];
 
  //========================================================
 
  $s_yaGrabo     = $_GET['yaGrabo'];
  $nvoNumFac     = $_GET['nvoNumFac'];
  if ($s_yaGrabo=="")
  {
    $queryCtas  = " SELECT numFactura, count(*) AS cuantos FROM SIO_FACTURAS_PAC ".
                  " WHERE numConsulta=$s_numConsulta";      
    $resultCtas = mysql_query($queryCtas) or die('Consulta de Numero Factura fallida: ' . mysql_error());
    $lineCtas   = mysql_fetch_array($resultCtas, MYSQL_ASSOC);
   
    $nvoNumFac  = $lineCtas["numFactura"];
    $cuantos    = $lineCtas["cuantos"];
    
    if ($cuantos>0){
     //VERIFICA EL ESTADO DE LA FACTURA
     $queryEst = "SELECT estado FROM SIO_FACENCABEZA_PAC WHERE numFactura=$nvoNumFac";
     $resultEst = mysql_query($queryEst) or die('Consulta de Numero Factura fallida: ' . mysql_error());
     $lineEst  = mysql_fetch_array($resultEst, MYSQL_ASSOC);
     $estado= $lineEst['estado'];
    }
    
    if ($estado=="A"){
     $cuantos=0;
    }
         
    if ($cuantos==0){
      // Realiza consulta del numero de FACTURA A CREAR 
      $query = "SELECT factura FROM SIO_CON_FACTURAS ";//WHERE nitEmpresa=$s_nitEmpresa ";
      $result = mysql_query($query) or die('Consulta de N&uacute;mero de Factura fallida: ' . mysql_error());
      $line = mysql_fetch_array($result, MYSQL_ASSOC);

      //asigna valores a variables de trabajo  
      $nvoNumFac  = $line["factura"];
      $nvoNumFac  = $nvoNumFac+1;
    
      // ACTUALIZA el numero de FACTURA
      $query = "UPDATE SIO_CON_FACTURAS SET factura = $nvoNumFac";// WHERE nitEmpresa=$s_nitEmpresa";
      $result = mysql_query($query) or die('Modificacion de N&uacute;mero de Factura fallida: ' . mysql_error());
   
      $s_yaGrabo="S"; 
      // Liberar resultados
      mysql_free_result($result);
    }//cuantos  
   }//ya grabo
 
 //========================================================
 
 if(isset($_GET['submit']))
  {
    $s_tiPro = $_GET['tiPro_s'];
    $s_coPro = $_GET['coPro_s'];
    $s_noPro = $_GET['noPro_s'];
    $s_vaPro = $_GET['vaPro_s'];
    $s_caPro = $_GET['caPro_s'];
    $w_fecha = date("Y-m-d",time());
    $s_numConsulta = $_GET['consulta'];
    $s_tipoHis     = $_GET['tipoHis'];
    $s_yaGrabo     = $_GET['yaGrabo'];
    $nvoNumFac     = $_GET['nvoNumFac'];
    
    if($s_coPro=="") {
      $error['CodPro']= 'Error en el campo Codigo del Procedimiento';
    } 
    
    if(!is_numeric($s_vaPro)) {
      $error['valorPro']= 'Error en el campo Valor del Procedimiento';
    } 
    
    if(!is_numeric($s_caPro)) {
      $error['s_caPro']= 'Error en el campo Cantidad';
    } 
    
    if(!$error){ //Validar Campos
      //verifica existencia del procedimiento
      $sqlCtas = " select count(*) as cuantas from SIO_FACTURAS_PAC ".
                 " where numConsulta=$s_numConsulta and numFactura = $nvoNumFac and " .
                 " codProcedimiento='$s_coPro'"; 
      $resultCtas = mysql_query($sqlCtas) or die('Consulta de cuantos procedimientos fallida: ' . mysql_error());  
      $line       = mysql_fetch_array($resultCtas, MYSQL_ASSOC); 
      $cant       = $line['cuantas']; 
 
      if ($cant==0)
      {     
        // graba procedimiento
        $query = "INSERT INTO SIO_FACTURAS_PAC ".
               "(numFactura, nitEmpresa, codSede, numConsulta, tipoHistoria, tipoId, idPaciente, ".
               " tipoProc, codProcedimiento, observaciones, valor, cantidad, fecha, usuario) ".
        "values ($nvoNumFac, $s_nitEmpresa, $s_codSede, $s_numConsulta, '$s_tipoHis', '$s_tipoId', $s_identifica, ".    
               " '$s_tiPro', '$s_coPro','', $s_vaPro, $s_caPro, '$w_fecha', $s_idUsuario)  ";        
        //echo $query;       
        $result = mysql_query($query) or die('Adicion/modificacion de Servicios fallida: ' . mysql_error());       
      }
      //echo '<div align="center">Lo operacion ha resultado satisfactoria</div>';
    }//error
  }//submit
  
  //========================================================
  //========================================================
  
  if(isset($_GET['borrarSer']))
  {
  
    $s_numConsulta = $_GET['consulta'];
    $s_tipoHis     = $_GET['tipoHis'];
    $s_yaGrabo     = $_GET['yaGrabo'];
    $nvoNumFac     = $_GET['nvoNumFac'];
  
    $codigo = $_GET['borrarSer'];   
    $query = "DELETE FROM SIO_FACTURAS_PAC " .
             " WHERE numConsulta=$s_numConsulta AND " .
             "       codProcedimiento='$codigo'"; 
    $result = mysql_query($query) or die('Eliminacion de Procedimiento fallida: ' . mysql_error());         
  }
?>  

<form method="get" action="<?php echo $_SERVER['PHP_SELF']; ?>">
  <p></p>
  
  <table align="center" width="900">
   <tr class="camposLista">     
    <td width="100%"  align="center"><span class="icon-cart" style="color:#16a085; font-size:20px;"> <span style="font-size:20px; font-family:Arial; color:#e67e22;"> NUEVO RECAUDO PARA LA HISTORIA  <?=$s_tipoHis?> No. <?=$s_numConsulta?></span> </span></td> 
   </tr>
  </table>
  
  <table align='center' border="1" width="900">
     <tr>
       <td width="50%" class='titulosTabla' align='left' colspan='2'>PROCEDIMIENTOS - CUPS</td> 
       <td class='titulosTabla1' align='left' colspan='2'>PROCEDIMIENTOS PROPIOS</td> 
     </tr> 
     
     <tr>    
       <td width="50%" class="negrita" align="left" colspan='4'>Ingrese la palabra (o parte de ella) a buscar y toque la 'Lupa'- o Toque la 'Lupa' para presentar toda la lista</td>
     </tr>
     
     <tr>
       <td align="left">  
         <input onclick="abrirHijo();" type=image src="imagenes/lupa.jpg" width="35" height="22">
       </td>
       <td align="left"> 
         <input type="text" name="uno" id="uno" size="50" />
       </td>
       
        
       <!--propipos-->
       
       <td align="left">  
         <input onclick="abrirHijo1();" type=image src="imagenes/lupa.jpg" width="35" height="22">
       </td> 
       <td align="left"> 
         <input type="text" name="dos" id="dos" size="50" />
       </td>
     </tr>
   </table>  
   
   <table align='center' border="1" width="900">  
     <tr>  
       <td width="25%" class=negrita align="left">Tipo. Procedimiento</td>
       <td width="25%" class=negrita align="left">Cod. Procedimiento</td>
       <td width="50%" class=negrita align="left">Nombre del Procedimiento</td>
     </tr>
     
     <tr>
       <td width="25%" align="left"><textarea class="style-1"  rows="1" cols="10" wrap="soft" name="tiPro_s" id="tiPro_s" readonly="readonly" required><?=$s_tiPro?></textarea></td>  
       <td width="25%" align="left"><textarea class="style-1"  rows="1" cols="10" wrap="soft" name="coPro_s" id="coPro_s" readonly="readonly" required><?=$s_coPro?></textarea></td>
       <td colspan="2" width="50%" align="left"><textarea class="style-1"  rows="1" cols="80" wrap="soft" name="noPro_s" id="noPro_s" readonly="readonly" required><?=$s_noPro?></textarea></td>
     </tr>
     
     <tr>  
       <td width="15%" align="left">Valor</td>
       <td width="15%" align="left">Cantidad</td>
     </tr>
     
     <tr>
       <td align="left">
         <textarea class="style-1"  rows="1" cols="10" wrap="soft" name="vaPro_s" id="vaPro_s"><?=$s_vaPro?></textarea>
       </td>
       <td align="left">
         <textarea  class="style-1" rows="1" cols="10" wrap="soft" name="caPro_s" id="caPro_s"><?=$s_caPro?></textarea>
       </td>
       <td align="center"> 
         <input  type="submit" name="submit" value="Adicionar Procedimiento" style="width:450px; height:28px"/> 
       </td>
       </tr>
   </table>
   
   <div style="display:none;"> 
     <input style="visibility:hidden" name="consulta" id="consulta" value="<?=$s_numConsulta?>"/>
     <input style="visibility:hidden" name="tipoHis" id="tipoHis" value="<?=$s_tipoHis?>"/>
     <input style="visibility:hidden" name="yaGrabo" id="yaGrabo" value="<?=$s_yaGrabo?>"/>
     <input style="visibility:hidden" name="nvoNumFac" id="nvoNumFac" value="<?=$nvoNumFac?>"/>
   </div>  
</form>

<?php if ($error) { //validar campos
?>

<?php
foreach ($error as $alerta) {
    echo "<script language='JavaScript'> alert('$alerta'); </script>";
	}
} //validar campos

?>


<form method="get" action="<?php echo $_SERVER['PHP_SELF']; ?>" onsubmit="return confirmation()">
<?php
if ($estado!="A"){
   //NO MUESTRA DATOS PARA FACTURAS ANULADAS
   $query  = " SELECT * FROM SIO_FACTURAS_PAC ".
             " WHERE numConsulta=$s_numConsulta AND estado<>'A'";        
   $result = mysql_query($query) or die('Consulta de servicios fallida: ' . mysql_error());
   
   $i=0;
   while ($line = mysql_fetch_array($result, MYSQL_ASSOC)) {
     $s_numfactura = $line['numfactura'];
     $s_tipoProc   = $line['tipoProc'];
     $s_codPro     = $line['codProcedimiento'];
     $valor        = $line['valor'];
     $cantidad     = $line['cantidad'];
     $s_fecha      = $line['fecha'];
     
     $total        = $cantidad*$valor;
     
     $vlrTotal   =  $cantidad * $valor;
     $sumaTotal  = $sumaTotal + $vlrTotal;
     $valor1     = number_format($valor);
     $vlrTotal1  = number_format($vlrTotal);
     $sumaTotal1 = number_format($sumaTotal);
     
     $cantidad   = number_format($cantidad);
     $valor      = number_format($valor);
     $total      = number_format($total);
   
    if ($s_tipoProc=="Cups")
    {
     $querySer = " SELECT descripcion AS nombre FROM SIO_PROC_POS ".
                 " WHERE cups='$s_codPro' "; 
    }  
    
    if ($s_tipoProc=="Propio")
    {
     $querySer = " SELECT nomProc AS nombre FROM SIO_PROC_ADICIONALES ".
                 " WHERE codProc='$s_codPro' "; 
    }
                
     $resultSer = mysql_query($querySer) or die('Consulta de servicios fallida: ' . mysql_error());
     $lineSer   = mysql_fetch_array($resultSer, MYSQL_ASSOC); 
     $nomSer    = $lineSer['nombre'];             
     
     echo("<table class='camposTabla' align='center' width='900' border='0' cellpading='0'>\n");
       //echo ("<form method='post' action='historiaClinica.php'>\n");
       if ($i==0){// para mostrar titulos 
         echo ("<tr  class='titulosLista'>\n");
            echo   ("<td align='center' colspan='5'>LISTA DE PROCEDIMIENTOS PRESTADOS</td>\n");
         echo("</tr>\n");
         echo("<tr class='camposLista'>\n");
            echo("<td width='200' align='left'><b>Toque para eliminar</b></td>\n");         
            echo("<td width='500' align='left'><b>Procedimiento</b></td>\n");
            echo("<td width='100' align='center'><b>Valor</b></td>\n");
            echo("<td width='100' align='center'><b>Cantidad</b></td>\n");
            echo("<td width='100' align='center'><b>Total</b></td>\n");
         echo("</tr>\n");
       }
       echo ("<tr class='camposLista'>\n");         
           echo("<td width='200' align='center'><input type='submit' id='borrarSer' name='borrarSer' value='$s_codPro' style='width:100px;' > </span></td>\n");
           echo("<td width='500' align='left'>$nomSer</td>\n");
           echo("<td width='100' align='right'>$valor</td>\n");
           echo("<td width='100' align='center'>$cantidad</td>\n");
           echo("<td width='100' align='right'>$total</td>\n");     
       echo("</tr>\n");
       $i = $i+1;
   }//while
   echo("</table>\n");  
 }   //FIN NO MUESTRA DATOS PARA FACTURAS ANULADAS  
?> 

 <p></p>
  <?php
   if ($i>0){
    include("montoEscrito.php");
    $letras=numerotexto($sumaTotal); 
    $letras=$letras . " pesos";
  ?>  
   <table align='center' width='900' border='1' cellpading='0'>
     <tr height="35">
       <td width="20%" align="left"><b>Valor Total:</b></td>
       <td width="60%"align="left"><i>Son: <?=$letras?></i></td>
       <td width="20%"align="right"><b>$ <?=$sumaTotal1?></b></td>
     </tr>
                   
     <tr>  
       <td align ="center"colspan="3"><a href=recaudoImprimir.php?numFactura=<?=$nvoNumFac?>&consulta=<?=$s_numConsulta?>&historia=<?=$s_tipoHis?>&vlrTotal=<?=$sumaTotal?> onclick="return confirmation1()"><img src="../health/imagenes/impFactura.jpg" name="imprimir" id="imprimir"></td>
     </tr>            
   </table>
  <?php
   } 
  ?>
 
 <div style="display:none;"> 
     <input style="visibility:hidden" name="consulta" id="consulta" value="<?=$s_numConsulta?>"/>
     <input style="visibility:hidden" name="tipoHis" id="tipoHis" value="<?=$s_tipoHis?>"/>
     <input style="visibility:hidden" name="yaGrabo" id="yaGrabo" value="<?=$s_yaGrabo?>"/>
     <input style="visibility:hidden" name="nvoNumFac" id="nvoNumFac" value="<?=$nvoNumFac?>"/>
   </div> 
 
</form>

<!------------------------------------------------------------->
<script type="text/javascript">
     function abrirHijo() {
       var valor1 = document.getElementById("uno").value; 
       var valor2 = "";
       //open("simeLstServicios.php?v1="+valor1+"&v2="+valor2+"",'','location=no,menubar=no,titlebar=no,resizable=no,toolbar=no, menubar=no, top=300,left=300,width=800,height=300') ; 
       open("facProcCups.php?v1="+valor1+"&v2="+valor2+"",'','location=no,menubar=no,titlebar=no,resizable=no,toolbar=no, menubar=no, top=300,left=300,width=800,height=300') ; 
     }
     
     function abrirHijo1() {
       var valor1 = document.getElementById("dos").value; 
       var valor2 = "";
       //open("simeLstServicios.php?v1="+valor1+"&v2="+valor2+"",'','location=no,menubar=no,titlebar=no,resizable=no,toolbar=no, menubar=no, top=300,left=300,width=800,height=300') ; 
       open("facProcAdicion.php?v1="+valor1+"&v2="+valor2+"",'','location=no,menubar=no,titlebar=no,resizable=no,toolbar=no, menubar=no, top=300,left=300,width=800,height=300') ; 
     }
</script>    